Package org.flowable.bpmn.model

# Class DataStoreReference

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.DataStoreReference

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class DataStoreReference extends FlowElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `dataState`
  `protected String`
  `dataStoreRef`
  `protected String`
  `itemSubjectRef`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataStoreReference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataStoreReference`
  `clone()`
  `String`
  `getDataState()`
  `String`
  `getDataStoreRef()`
  `String`
  `getItemSubjectRef()`
  `void`
  `setDataState(String dataState)`
  `void`
  `setDataStoreRef(String dataStoreRef)`
  `void`
  `setItemSubjectRef(String itemSubjectRef)`
  `void`
  `setValues(DataStoreReference otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataState

    protected String dataState

  - ### itemSubjectRef

    protected String itemSubjectRef

  - ### dataStoreRef

    protected String dataStoreRef

- ## Constructor Details

  - ### DataStoreReference

    public DataStoreReference()

- ## Method Details

  - ### getDataState

    public String getDataState()

  - ### setDataState

    public void setDataState(String dataState)

  - ### getItemSubjectRef

    public String getItemSubjectRef()

  - ### setItemSubjectRef

    public void setItemSubjectRef(String itemSubjectRef)

  - ### getDataStoreRef

    public String getDataStoreRef()

  - ### setDataStoreRef

    public void setDataStoreRef(String dataStoreRef)

  - ### clone

    public DataStoreReference clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(DataStoreReference otherElement)